Update or Correct Form 1099-K

This PUT endpoint is used to update or correct a previously submitted Form 1099-K (Payment Card and Third Party Network Transactions) for a specific user identified by their user_token. The system automatically determines whether to perform an Update (if the form has not yet been accepted by the IRS) or a Correction (if the form has already been accepted by the IRS). Basic information (name, address, email, phone, TIN) is retrieved from the user's existing profile.
To use this endpoint, you need to provide the user_token as a parameter in the URL Path, the original submission_id, and the updated 1099-K form data in the request body. For corrections after IRS acceptance, you can specify the correction_type as VOID, RECIPIENT, AMOUNT, or RECIPIENT_AMOUNT.

Path Params
string
required
Body Params
string
enum
required

Tax year of the Form 1099-K

Allowed:
number
0 to 9999999999.99

Box 1a: Supplemental Gross amount of total reportable payment card/third party network transactions. When provided, this amount will be added to the total amount of payouts and loads (deducting spendbacks) that were initiated in the tax year Either this or gross_amount is required

number
0 to 9999999999.99

Box 1: Gross amount. When provided, this will be the total amount reported. Either this or supplemental_gross_amount is required

string
required
length between 4 and 4

Box 2: Four-digit merchant category code (MCC)

integer
required
0 to 9999999

Box 3: Number of payment transactions processed

number
0 to 9999999999.99

Box 4: Federal income tax withheld (backup withholding)

monthly_amounts
object

Box 5a-5l: Monthly breakdown of gross amounts

string
length between 4 and 20

Account number for reference when multiple 1099-K forms are filed for the same recipient

string
enum

Type of filer: PSE (Payment Settlement Entity) or EPF (Electronic Payment Facilitator)

Allowed:
string
enum
required

Type of transactions being reported

Allowed:
pse_details
object

Payment Settlement Entity details

state_filing
array of objects

State filing information

state_filing
boolean
Defaults to false

When set to true, once the return is transmitted, the 1099-K form copy will be mailed to the recipient's address via USPS.

Note: Postal Orders for Foreign Address will not be created.

string

Optional email address to receive the tax form link; if provided, the form link will be sent to this address, and if omitted, no email will be sent.

string
required

The original submission ID to update or correct

boolean

Set to true to VOID the original filing (zeros out all amounts). Use this when the form should not have been filed at all.

Responses

404

Not Found

Language
Credentials
URL
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json